import { getAttractInvestmentProjectList } from "@/apis/index";
import { ref } from "vue";
import { toast } from "@/utils/common.js";

export function getReleasePolicyData() {
    const getList = async() => {
        let data;
        try {
            let res = await getAttractInvestmentProjectList();
            if (res.data.status == 0) {
                data = res.data.data;
            } else {
                toast(res.data.msg, "error");
            }
        } catch (error) {
            toast("获取数据失败，请刷新重试！", "error");
        }

        return ref(data);
    };

    return { getList };
}