/**
 * api接口统一管理
 */
import {get, post } from "../utils/request";

// 首页-获取详情
export const getAreaData = () => get("/areaInfoManagement/getAreaData");
// 增加官网浏览量
export const updateAreaInfoManagementPageView = p =>
    post(`/areaInfoManagement/updateAreaInfoManagementPageView/${p}`);
// 获取最近那一个编辑或者上架的招商载体
export const getRegistrationPackageByFirst = () =>
    get("/registrationPackage/getRegistrationPackageByFirst");

// 获取全部产业聚集
export const getAreaIndustrialAllocationList = () =>
    get("/areaIndustrialAllocation/getAreaIndustrialAllocationList");
// 获取全部招商载体
export const getRegistrationPackageList = () =>
    get("/registrationPackage/getRegistrationPackageList");
// 获取全部企业链家
export const getEnterpriseHomeLinkList = () => get("/enterpriseHomeLink/getEnterpriseHomeLinkList");

// 获取全部招商项目
export const getAttractInvestmentProjectList = () =>
    get("/attractInvestmentProject/getAttractInvestmentProjectList");

// 申请入驻接口
export const addEnter = p =>
    post(`/enter/addEnter`, p, {
        headers: {
            "Content-Type": "application/json;charset=UTF-8",
        },
    });

// 获取全部政策
export const getReleasePolicyList = p => get(`/releasePolicy/getReleasePolicyList`, p);
export const getReleasePolicyById = p => get(`/releasePolicy/getReleasePolicyById`, p);
// 获取某个实体属性状态列表
export const getPickListByKey = p => get(`/common/getPickListByKey`, p);
// 增加浏览量
export const updateReleasePolicyPageView = p =>
    post(`/releasePolicy/updateReleasePolicyPageView/${p}`);

export const getContactInfoConfig = p => get(`/contactInfoConfig/getContactInfoConfigByOne`, p);