import { createApp } from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import "@/styles/reset.scss"; /*引入公共样式*/
import "amfe-flexible";

// main.js
if (/Android|webOS|iPhone|iPod|BlackBerry|iPad/i.test(navigator.userAgent)) {
    // Vue.use(VueTouch, { name: "v-touch" });
    // VueTouch.config.swipe = {
    //     threshold: 50,
    // };
    var oMeta = document.createElement("meta");
    oMeta.content =
        "width=device-width, initial-scale=1.0, maximum-scale=1.0,minimum-scale=1.0, user-scalable=0";
    oMeta.name = "viewport";
    document.getElementsByTagName("head")[0].appendChild(oMeta);
}

createApp(App).use(store).use(router).mount("#app");