import { defineStore } from "pinia";
import { ref } from "vue";
const useHomeStore = defineStore("Home", {
    state: () => {
        return {
            homeData: ref({}),
            policyInfo: ref({}),
            contract: ref({}),
        };
    },
    actions: {},
    getters: {},
    persist: {
        //这里存储默认使用的是session
        enabled: true,
        strategies: [{
            //key的名称
            key: "home",
            //更改默认存储，我更改为localStorage
            storage: localStorage,
            // 可以选择哪些进入local存储，这样就不用全部都进去存储了
            // 默认是全部进去存储
            // paths: [""],
        }, ],
    },
});
export default useHomeStore;